## kf6-networkmanager-qt 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
project(NetworkManagerQt VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

find_package(PkgConfig)
pkg_search_module(NetworkManager REQUIRED IMPORTED_TARGET libnm>=1.4.0)
pkg_search_module(Gio REQUIRED IMPORTED_TARGET gio-2.0)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network Qml)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX NETWORKMANAGERQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfigVersion.cmake"
                        SOVERSION 6)
ecm_set_disabled_deprecation_versions(
    QT 6.8.0
)

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(src/fakenetwork)
    add_subdirectory(autotests)
endif ()

add_subdirectory(src)
##################  examples  ################################
option(BUILD_EXAMPLES "Build example applications" FALSE)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif(BUILD_EXAMPLES)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6NetworkManagerQt")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6NetworkManagerQt_QCH
        FILE KF6NetworkManagerQtQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6NetworkManagerQtQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6NetworkManagerQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6NetworkManagerQtTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6NetworkManagerQtTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/NetworkManagerQt COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# add_subdirectory(dbus)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/dbus
   ${CMAKE_CURRENT_SOURCE_DIR}/settings
)

set(NetworkManagerQt_PART_SRCS
    device.cpp
    accesspoint.cpp
    activeconnection.cpp
    adsldevice.cpp
    bluetoothdevice.cpp
    bonddevice.cpp
    bridgedevice.cpp
    connection.cpp
    dhcp4config.cpp
    dhcp6config.cpp
    devicestatistics.cpp
    dnsconfiguration.cpp
    dnsdomain.cpp
    infinibanddevice.cpp
    ipaddress.cpp
    iproute.cpp
    ipconfig.cpp
    manager.cpp
    modemdevice.cpp
    olpcmeshdevice.cpp
    secretagent.cpp
    settings.cpp
    utils.cpp
    vlandevice.cpp
    vpnconnection.cpp
    vpnplugin.cpp
    wimaxdevice.cpp
    wimaxnsp.cpp
    wireddevice.cpp
    wirelessdevice.cpp
    wirelessnetwork.cpp
    generictypes.cpp
    genericdevice.cpp
    gredevice.cpp
    iptunneldevice.cpp
    macvlandevice.cpp
    teamdevice.cpp
    tundevice.cpp
    vethdevice.cpp
    wimaxdevice.cpp
    wimaxnsp.cpp
    wireguarddevice.cpp
)

set(NetworkManagerQt_SETTINGS_SRCS
    settings/adslsetting.cpp
    settings/bluetoothsetting.cpp
    settings/bondsetting.cpp
    settings/bridgesetting.cpp
    settings/bridgeportsetting.cpp
    settings/cdmasetting.cpp
    settings/connectionsettings.cpp
    settings/dcbsetting.cpp
    settings/gsmsetting.cpp
    settings/iptunnelsetting.cpp
    settings/ipv4setting.cpp
    settings/ipv6setting.cpp
    settings/infinibandsetting.cpp
    settings/macsecsetting.cpp
    settings/matchsetting.cpp
    settings/olpcmeshsetting.cpp
    settings/ovsbridgesetting.cpp
    settings/ovsinterfacesetting.cpp
    settings/ovspatchsetting.cpp
    settings/ovsportsetting.cpp
    settings/pppsetting.cpp
    settings/pppoesetting.cpp
    settings/proxysetting.cpp
    settings/setting.cpp
    settings/serialsetting.cpp
    settings/security8021xsetting.cpp
    settings/teamportsetting.cpp
    #settings/template.cpp
    settings/vlansetting.cpp
    settings/vpnsetting.cpp
    settings/wimaxsetting.cpp
    settings/wiredsetting.cpp
    settings/wirelesssetting.cpp
    settings/wirelesssecuritysetting.cpp
    settings/teamsetting.cpp
    settings/tcsetting.cpp
    settings/genericsetting.cpp
    settings/tunsetting.cpp
    settings/usersetting.cpp
    settings/vxlansetting.cpp
    settings/wireguardsetting.cpp
)

set(DBUS_INTERFACE_SRCS
    dbus/accesspointinterface.cpp
    dbus/activeconnectioninterface.cpp
    dbus/adsldeviceinterface.cpp
    dbus/agentmanagerinterface.cpp
    dbus/bluetoothdeviceinterface.cpp
    dbus/bonddeviceinterface.cpp
    dbus/bridgedeviceinterface.cpp
    dbus/connectioninterface.cpp
    dbus/deviceinterface.cpp
    dbus/devicestatisticsinterface.cpp
    dbus/dhcp4configinterface.cpp
    dbus/dhcp6configinterface.cpp
    dbus/dnsmanagerinterface.cpp
    dbus/genericdeviceinterface.cpp
    dbus/gredeviceinterface.cpp
    dbus/checkpointinterface.cpp
    dbus/infinibanddeviceinterface.cpp
    dbus/iptunneldeviceinterface.cpp
    dbus/ip4configinterface.cpp
    dbus/ip6configinterface.cpp
    dbus/macsecdeviceinterface.cpp
    dbus/macvlandeviceinterface.cpp
    dbus/modemdeviceinterface.cpp
    dbus/networkmanagerinterface.cpp
    dbus/olpcmeshdeviceinterface.cpp
    dbus/pppinterface.cpp
    dbus/secretagentadaptor.cpp
    dbus/settingsinterface.cpp
    dbus/teamdeviceinterface.cpp
    dbus/tundeviceinterface.cpp
    dbus/vethdeviceinterface.cpp
    dbus/vlandeviceinterface.cpp
    dbus/vpnconnectioninterface.cpp
    dbus/vpnplugininterface.cpp
    dbus/vxlandeviceinterface.cpp
    dbus/wimaxdeviceinterface.cpp
    dbus/wimaxnspinterface.cpp
    dbus/wireddeviceinterface.cpp
    dbus/wirelessdeviceinterface.cpp
    dbus/wireguarddeviceinterface.cpp
)

ecm_qt_declare_logging_category(KF6NetworkManagerQt
    HEADER nmdebug.h
    IDENTIFIER NMQT
    CATEGORY_NAME kf.networkmanagerqt
    OLD_CATEGORY_NAMES networkmanager-qt
    DEFAULT_SEVERITY Warning
    DESCRIPTION "NetworkManagerQt"
    EXPORT NETWORMANAGERQT
)

add_library(KF6NetworkManagerQt SHARED ${NetworkManagerQt_PART_SRCS} ${NetworkManagerQt_SETTINGS_SRCS} ${DBUS_INTERFACE_SRCS})
add_library(KF6::NetworkManagerQt ALIAS KF6NetworkManagerQt)

qt_extract_metatypes(KF6NetworkManagerQt)

ecm_generate_export_header(KF6NetworkManagerQt
    EXPORT_FILE_NAME ${NetworkManagerQt_BINARY_DIR}/networkmanagerqt/networkmanagerqt_export.h
    BASE_NAME NetworkManagerQt
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
)

target_include_directories(KF6NetworkManagerQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/NetworkManagerQt>")
# for examples to build
target_include_directories(KF6NetworkManagerQt PUBLIC "$<BUILD_INTERFACE:${NetworkManagerQt_BINARY_DIR};${CMAKE_CURRENT_SOURCE_DIR}/settings;${CMAKE_CURRENT_BINARY_DIR}>")

target_link_libraries(KF6NetworkManagerQt PUBLIC Qt6::Core Qt6::Network Qt6::DBus PkgConfig::NetworkManager PkgConfig::Gio)

set_target_properties(KF6NetworkManagerQt PROPERTIES VERSION ${NETWORKMANAGERQT_VERSION}
                                                   SOVERSION ${NETWORKMANAGERQT_SOVERSION}
                                                   EXPORT_NAME NetworkManagerQt
)

########### static lib for tests  ###############
add_library(KF6NetworkManagerQt_static STATIC ${NetworkManagerQt_PART_SRCS} ${NetworkManagerQt_SETTINGS_SRCS} ${DBUS_INTERFACE_SRCS})
set_target_properties(KF6NetworkManagerQt_static PROPERTIES COMPILE_FLAGS -DNMQT_STATIC=1)

target_link_libraries(KF6NetworkManagerQt_static PUBLIC Qt6::Core Qt6::Network Qt6::DBus PkgConfig::NetworkManager PkgConfig::Gio)
target_include_directories(KF6NetworkManagerQt_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/..>")

ecm_generate_headers(NetworkManagerQt_CamelCase_HEADERS
  HEADER_NAMES
  AccessPoint
  ActiveConnection
  AdslDevice
  BluetoothDevice
  BondDevice
  BridgeDevice
  Connection
  Device
  DeviceStatistics
  Dhcp4Config
  Dhcp6Config
  DnsConfiguration
  DnsDomain
  GenericDevice
  GenericTypes
  GreDevice
  InfinibandDevice
  IpAddress
  IpConfig
  IpRoute
  IpTunnelDevice
  MacVlanDevice
  Manager
  ModemDevice
  OlpcMeshDevice
  SecretAgent
  Settings
  TeamDevice
  TunDevice
  Utils
  VethDevice
  VlanDevice
  VpnConnection
  VpnPlugin
  WimaxDevice
  WimaxNsp
  WiredDevice
  WirelessDevice
  WirelessNetwork
  WireGuardDevice

  REQUIRED_HEADERS NetworkManagerQt_HEADERS
  PREFIX NetworkManagerQt
)

ecm_generate_headers(NetworkManagerQt_SETTINGS_CamelCase_HEADERS
  HEADER_NAMES
  AdslSetting
  BluetoothSetting
  BondSetting
  BridgeSetting
  BridgePortSetting
  CdmaSetting
  ConnectionSettings
  GsmSetting
  GenericSetting
  InfinibandSetting
  IpTunnelSetting
  Ipv4Setting
  Ipv6Setting
  OlpcMeshSetting
  PppoeSetting
  PppSetting
  Security8021xSetting
  SerialSetting
  Setting
  TeamSetting
  TunSetting
  VlanSetting
  VpnSetting
  WimaxSetting
  WiredSetting
  WireguardSetting
  WirelessSecuritySetting
  WirelessSetting

  RELATIVE settings
  REQUIRED_HEADERS NetworkManagerQt_SETTINGS_HEADERS
  PREFIX NetworkManagerQt
)

ecm_add_qml_module(networkmanagerqtqml URI org.kde.networkmanager GENERATE_PLUGIN_SOURCE)
target_sources(networkmanagerqtqml PRIVATE qmltypes.h)
target_link_libraries(networkmanagerqtqml PRIVATE Qt6::Qml KF6NetworkManagerQt)
ecm_finalize_qml_module(networkmanagerqtqml)

install(TARGETS KF6NetworkManagerQt EXPORT KF6NetworkManagerQtTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${NetworkManagerQt_CamelCase_HEADERS}
  ${NetworkManagerQt_SETTINGS_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/NetworkManagerQt/NetworkManagerQt COMPONENT Devel
)

install(FILES
  ${NetworkManagerQt_BINARY_DIR}/networkmanagerqt/networkmanagerqt_export.h
  ${NetworkManagerQt_HEADERS}
  ${NetworkManagerQt_SETTINGS_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/NetworkManagerQt/networkmanagerqt COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT NETWORMANAGERQT
    FILE networkmanagerqt.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF6NetworkManagerQt_QCH
        NAME NetworkManagerQt
        BASE_NAME KF6NetworkManagerQt
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${NetworkManagerQt_HEADERS}
            ${NetworkManagerQt_SETTINGS_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Network_QCH
            Qt6DBus_QCH
        BLANK_MACROS
            NETWORKMANAGERQT_EXPORT
            NETWORKMANAGERQT_DEPRECATED
            NETWORKMANAGERQT_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

## kf6-networkmanager-qt 6.3.0

=== debian/changelog ===
kf6-networkmanager-qt (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Modernize building by using dh-sequence build-dependencies and
    dropping manually specified addons and buildsystems for dh.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:54:17 +0200

kf6-networkmanager-qt (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Apr 2024 08:38:54 +0200

networkmanager-qt (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release 5.115.0 (Closes: #1065365).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Enable LTO (Closes: #1015558).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 01:18:13 +0100

networkmanager-qt (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:31 +0200

networkmanager-qt (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:51 +0100

networkmanager-qt (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:24 +0100

networkmanager-qt (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:02 +0100

networkmanager-qt (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:24 +0100

networkmanager-qt (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.99.0.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:58 +0100

networkmanager-qt (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:38 +0200

networkmanager-qt (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:30 +0200

networkmanager-qt (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:59 +0200

networkmanager-qt (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:03 +0200

networkmanager-qt (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update symbols from build for 5.92.0.
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:44 +0200

networkmanager-qt (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

networkmanager-qt (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:42 +0900

networkmanager-qt (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:02:58 +0900

networkmanager-qt (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:49 +0900

networkmanager-qt (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:06:45 +0900

networkmanager-qt (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:12 +0900

networkmanager-qt (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

networkmanager-qt (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).


=== debian/control ===
Source: kf6-networkmanager-qt
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libnm-dev (>= 1.4.0~),
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/networkmanager-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt.git
Rules-Requires-Root: no

Package: libkf6networkmanagerqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
         libnm-dev (>= 1.4.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
Description: Qt wrapper for NetworkManager - devel files
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the development files.

Package: libkf6networkmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt wrapper for NetworkManager - documentation
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6networkmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt wrapper for NetworkManager
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: qml6-module-org-kde-networkmanager
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt wrapper for NetworkManager - QML module
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the QML module for networkmanager-qt.

## kf6-networkmanager-qt 6.6.0

=== debian/changelog ===
kf6-networkmanager-qt (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:08:59 +0100

kf6-networkmanager-qt (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:25:18 +0100

kf6-networkmanager-qt (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Pass gcc option -std=c++17 to acc autopkgtests
  * Remove testsuite autopkgtest

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:36:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-networkmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -17,8 +18,8 @@
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
 Rules-Requires-Root: no
 
 Package: libkf6networkmanagerqt-dev

## kf6-networkmanager-qt 6.9.0

=== debian/changelog ===
kf6-networkmanager-qt (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:50:05 +0000

kf6-networkmanager-qt (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 13:58:55 +0000

kf6-networkmanager-qt (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:39:36 +0000

kf6-networkmanager-qt (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:22:05 +0100

kf6-networkmanager-qt (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:09 +0200

kf6-networkmanager-qt (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * 'acc' autopkgtest: set -std=c++17, needed when using Qt 6.
  * CI: update/simplify configuration.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Aug 2024 06:01:46 +0200

kf6-networkmanager-qt (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:01 +0200

kf6-networkmanager-qt (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -28,6 +29,7 @@
 Multi-Arch: same
 Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 1.4.0~),
+         qml6-module-org-kde-networkmanager (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
@@ -62,7 +64,7 @@
 Package: qml6-module-org-kde-networkmanager
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt wrapper for NetworkManager - QML module
  Qt wrapper for NetworkManager DBus API.
  .

## kf6-networkmanager-qt 6.10.0

=== debian/changelog ===
kf6-networkmanager-qt (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.10.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:44 +0100

kf6-networkmanager-qt (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:00:45 +0100

kf6-networkmanager-qt (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:28 -0600

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-networkmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt.git
 Rules-Requires-Root: no
 
 Package: libkf6networkmanagerqt-dev
@@ -30,7 +29,7 @@
 Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 1.4.0~),
          qml6-module-org-kde-networkmanager (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
 Description: Qt wrapper for NetworkManager - devel files

## kf6-networkmanager-qt 6.11.0

=== debian/changelog ===
kf6-networkmanager-qt (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:59:46 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
                qt6-base-dev (>= 6.6.0~),

## kf6-networkmanager-qt 6.12.0

=== debian/changelog ===
kf6-networkmanager-qt (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:55:56 +0000

kf6-networkmanager-qt (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:50:58 +0000

kf6-networkmanager-qt (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)
  * Update symbols from build logs.
  * Disable acc test for now.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:22:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kf6-networkmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
 Rules-Requires-Root: no
 
 Package: libkf6networkmanagerqt-dev
@@ -29,7 +30,7 @@
 Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 1.4.0~),
          qml6-module-org-kde-networkmanager (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
 Description: Qt wrapper for NetworkManager - devel files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON
override_dh_auto_test:
	# Disable tests at build time
	:

## kf6-networkmanager-qt 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.13.0") # handled by release scripts
 project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.13.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -42,7 +42,7 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfigVersion.cmake"
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
+    QT 6.9.0
 )
 
 # Enable unit testing

=== debian/changelog ===
kf6-networkmanager-qt (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:33:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-networkmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt.git
 Rules-Requires-Root: no
 
 Package: libkf6networkmanagerqt-dev
@@ -30,7 +29,7 @@
 Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 1.4.0~),
          qml6-module-org-kde-networkmanager (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
 Description: Qt wrapper for NetworkManager - devel files

## kf6-networkmanager-qt 6.16.0

=== debian/changelog ===
kf6-networkmanager-qt (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:49:22 +0100

kf6-networkmanager-qt (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:36:30 +0100

kf6-networkmanager-qt (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:01:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kf6-networkmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/networkmanager-qt
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-networkmanager-qt
 Rules-Requires-Root: no
 
 Package: libkf6networkmanagerqt-dev
@@ -29,7 +30,7 @@
 Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
          libnm-dev (>= 1.4.0~),
          qml6-module-org-kde-networkmanager (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
 Description: Qt wrapper for NetworkManager - devel files

## kf6-networkmanager-qt 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
 project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -22,7 +22,7 @@
 include(KDEGitCommitHooks)
 include(ECMDeprecationSettings)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Network Qml)
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)
@@ -30,19 +30,16 @@
 include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
-include(ECMAddQch)
 include(ECMQtDeclareLoggingCategory)
 include(ECMQmlModule)
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+include(ECMGenerateQDoc)
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX NETWORKMANAGERQT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/networkmanagerqt_version.h"
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6NetworkManagerQtConfigVersion.cmake"
                         SOVERSION 6)
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
+    QT 6.10.0
 )
 
 # Enable unit testing
@@ -60,16 +57,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6NetworkManagerQt")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6NetworkManagerQt_QCH
-        FILE KF6NetworkManagerQtQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6NetworkManagerQtQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== autotests/CMakeLists.txt ===
include_directories (
    ${CMAKE_SOURCE_DIR}/src/settings
)

include(ECMAddTests)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Test)
set_package_properties(Qt6Test PROPERTIES PURPOSE "Required for autotests")

ecm_add_test(managertest.cpp LINK_LIBRARIES Qt6::Test KF6NetworkManagerQt_static PkgConfig::NetworkManager fakeNetwork)
ecm_add_test(settingstest.cpp LINK_LIBRARIES Qt6::Test KF6NetworkManagerQt_static PkgConfig::NetworkManager fakeNetwork)
ecm_add_test(activeconnectiontest.cpp LINK_LIBRARIES Qt6::Test KF6NetworkManagerQt_static PkgConfig::NetworkManager fakeNetwork)

add_subdirectory(settings)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -266,6 +266,7 @@
 target_sources(networkmanagerqtqml PRIVATE qmltypes.h)
 target_link_libraries(networkmanagerqtqml PRIVATE Qt6::Qml KF6NetworkManagerQt)
 ecm_finalize_qml_module(networkmanagerqtqml)
+ecm_generate_qdoc(KF6NetworkManagerQt networkmanager-qt.qdocconf)
 
 install(TARGETS KF6NetworkManagerQt EXPORT KF6NetworkManagerQtTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
@@ -287,28 +288,3 @@
     FILE networkmanagerqt.categories
     DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
 )
-
-if(BUILD_QCH)
-    ecm_add_qch(
-        KF6NetworkManagerQt_QCH
-        NAME NetworkManagerQt
-        BASE_NAME KF6NetworkManagerQt
-        VERSION ${KF_VERSION}
-        ORG_DOMAIN org.kde
-        SOURCES # using only public headers, to cover only public API
-            ${NetworkManagerQt_HEADERS}
-            ${NetworkManagerQt_SETTINGS_HEADERS}
-        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
-        LINK_QCHS
-            Qt6Core_QCH
-            Qt6Network_QCH
-            Qt6DBus_QCH
-        BLANK_MACROS
-            NETWORKMANAGERQT_EXPORT
-            NETWORKMANAGERQT_DEPRECATED
-            NETWORKMANAGERQT_DEPRECATED_EXPORT
-        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
-        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
-        COMPONENT Devel
-    )
-endif()

=== debian/changelog ===
kf6-networkmanager-qt (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:19:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
                libnm-dev (>= 1.4.0~),
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),

## kf6-networkmanager-qt 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
 project(NetworkManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== examples/CMakeLists.txt ===
set(exampleNetworkManagerQt_SRCS
    main.cpp
)

add_executable(exampleNetworkManagerQt ${exampleNetworkManagerQt_SRCS})
target_link_libraries(exampleNetworkManagerQt
    KF6::NetworkManagerQt
    Qt6::Core
)

add_subdirectory(createconnection)
add_subdirectory(secret_agent)

=== debian/changelog ===
kf6-networkmanager-qt (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:15:43 +0200

=== debian/control ===
Source: kf6-networkmanager-qt
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libnm-dev (>= 1.4.0~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/networkmanager-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-networkmanager-qt.git
Rules-Requires-Root: no

Package: libkf6networkmanagerqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6networkmanagerqt6 (= ${binary:Version}),
         libnm-dev (>= 1.4.0~),
         qml6-module-org-kde-networkmanager (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libkf6networkmanagerqt-doc (= ${source:Version}),
Description: Qt wrapper for NetworkManager - devel files
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the development files.

Package: libkf6networkmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt wrapper for NetworkManager - documentation
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6networkmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt wrapper for NetworkManager
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: qml6-module-org-kde-networkmanager
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt wrapper for NetworkManager - QML module
 Qt wrapper for NetworkManager DBus API.
 .
 This package is part of the KDE Frameworks.
 .
 This package contains the QML module for networkmanager-qt.
